Usage of the team's gateways, servers and service accounts (team owners, admins and editors; platform staff)
/v1/teams/{team}/usageThe calls listTeamCalls covers (through the team's gateways, to its servers, or by its service accounts), from hourly rollups. 400 invalid_range when to is not after from, the span exceeds 90 days (7 days with groupBy hour) or a time isn't on the hour. 403 for members.
Path Parameters
Team slug or ID
Query Parameters
Start (inclusive), on the hour; default 7 days before to
date-timeEnd (exclusive), on the hour; default the start of the next hour
date-timeteam: the gateway's team (platform gateways are one row with key platform). day and hour are UTC buckets; hour allows at most 7 days.
"day"Value in
- "gateway"
- "server"
- "capability"
- "team"
- "principalKind"
- "day"
- "hour"
Gateway ID
uuidMCP server ID
uuidOnly calls of this capability (capability ID)
uuidAs CallPrincipal.kind
Value in
- "api_key"
- "oauth"
- "service_account"
Only this MCP method (default every recorded method, lists included)
Value in
- "tools/list"
- "tools/call"
- "prompts/list"
- "prompts/get"
- "resources/list"
- "resources/templates/list"
- "resources/read"
With a non-time groupBy, add per-day buckets (UsageRow.series) to each row
false1 <= value <= 20050Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/teams/string/usage"{ "data": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "groupBy": "gateway", "rolledUpTo": "2019-08-24T14:15:22Z", "totals": { "calls": 0, "errors": 0, "outcomes": { "property1": 0, "property2": 0 }, "p50LatencyMs": 0, "p95LatencyMs": 0, "requestBytes": 0, "responseBytes": 0 }, "rows": [ { "key": "string", "label": "string", "ref": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "exists": true }, "capability": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "exposedName": "string", "server": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "exists": true } }, "principalKind": "api_key", "start": "2019-08-24T14:15:22Z", "metrics": { "calls": 0, "errors": 0, "outcomes": { "property1": 0, "property2": 0 }, "p50LatencyMs": 0, "p95LatencyMs": 0, "requestBytes": 0, "responseBytes": 0 }, "series": [ { "start": "2019-08-24T14:15:22Z", "metrics": { "calls": 0, "errors": 0, "outcomes": { "property1": 0, "property2": 0 }, "p50LatencyMs": 0, "p95LatencyMs": 0, "requestBytes": 0, "responseBytes": 0 } } ] } ], "truncated": true }}